Skip to content
Login Sign up

Google Local Services API

Scrape Google Local Services ads for area-specific businesses such as electricians, plumbers, or locksmiths. Set engine=google_local_services, pass a service query in q, and specify the area in place.

GET https://serp.shifter.io/v1?engine=google_local_services&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_local_services
qstringyesThe service you are looking for
placestringyesThe city or area to search within
Terminal window
curl "https://serp.shifter.io/v1?engine=google_local_services&api_key=YOUR_API_KEY&q=electrician&place=orlando"
{
"search_parameters": {
"engine": "google_local_services",
"q": "electrician",
"place": "orlando"
},
"local_ads": [
{
"title": "Super Fast Electric",
"link": "https://google.com/localservices/profile?q=electrician+near+orlando&...",
"rating": 5,
"reviews": 7,
"phone": "+14074996813",
"bagde": "GOOGLE GUARANTEED",
"service_area": "Serves Orlando",
"experience": "6+ years in business",
"open_hours": "Open, Closes 4:30PM"
},
{
"title": "A-Lumination Electric",
"rating": 4.3,
"reviews": 95,
"phone": "+14076334044",
"bagde": "GOOGLE GUARANTEED",
"service_area": "Serves Orlando",
"experience": "33+ years in business"
}
]
}